<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__tcpwm__input__modes" kind="group">
    <compoundname>group_tcpwm_input_modes</compoundname>
    <title>Input Modes</title>
      <sectiondef kind="define">
      <memberdef id="group__group__tcpwm__input__modes_1ga0e441e0d42e07a5bffa0e0d4e9058a26" kind="define" prot="public" static="no">
        <name>CY_TCPWM_INPUT_RISINGEDGE</name>
        <initializer>(0U)</initializer>
        <briefdescription>
<para>A rising edge triggers the event (Capture, Start, Reload, etc..) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" bodystart="340" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" line="340" />
      </memberdef>
      <memberdef id="group__group__tcpwm__input__modes_1ga6da75a584249f8426226c4fef2831293" kind="define" prot="public" static="no">
        <name>CY_TCPWM_INPUT_FALLINGEDGE</name>
        <initializer>(1U)</initializer>
        <briefdescription>
<para>A falling edge triggers the event (Capture, Start, Reload, etc..) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" bodystart="342" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" line="342" />
      </memberdef>
      <memberdef id="group__group__tcpwm__input__modes_1ga71d7e1cfe4ea535e2529371c9540c3d7" kind="define" prot="public" static="no">
        <name>CY_TCPWM_INPUT_EITHEREDGE</name>
        <initializer>(2U)</initializer>
        <briefdescription>
<para>A rising edge or falling edge triggers the event (Capture, Start, Reload, etc..) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" bodystart="344" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" line="344" />
      </memberdef>
      <memberdef id="group__group__tcpwm__input__modes_1ga6f8ffc8c36941d7d44290147032fd33b" kind="define" prot="public" static="no">
        <name>CY_TCPWM_INPUT_LEVEL</name>
        <initializer>(3U)</initializer>
        <briefdescription>
<para>The event is triggered on each edge of the TCPWM clock if the input is high. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" bodystart="346" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" line="346" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Configures how TCPWM inputs behave. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>